﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <!-- Ignite UI Required Combined CSS Files -->
    <link href="http://cdn-na.infragistics.com/igniteui/2014.2/latest/css/themes/infragistics/infragistics.theme.css" rel="stylesheet" />
    <link href="http://cdn-na.infragistics.com/igniteui/2014.2/latest/css/structure/infragistics.css" rel="stylesheet" />

    <script src="http://modernizr.com/downloads/modernizr-latest.js"></script>
    <script src="http://code.jquery.com/jquery-1.9.1.min.js"></script>
    <script src="http://code.jquery.com/ui/1.10.3/jquery-ui.min.js"></script>

    <!-- Ignite UI Required Combined JavaScript Files -->
    <script src="http://cdn-na.infragistics.com/igniteui/2014.2/latest/js/infragistics.core.js"></script>
    <script src="http://cdn-na.infragistics.com/igniteui/2014.2/latest/js/infragistics.lob.js"></script>
</head>
<body>
    <form id="form1" runat="server">
        <div>
            <asp:ScriptManager ID="ScriptManager1" runat="server"></asp:ScriptManager>
            <asp:UpdatePanel ID="UpdatePanel1" runat="server" RenderMode="Inline" UpdateMode="Conditional">
                <Triggers>
                    <asp:AsyncPostBackTrigger ControlID="btnCreate" EventName="Click" />
                    <asp:AsyncPostBackTrigger ControlID="btnEdit" EventName="Click" />
                    <asp:AsyncPostBackTrigger ControlID="btnActivate" EventName="Click" />
                    <asp:AsyncPostBackTrigger ControlID="btnDeactivate" EventName="Click" />
                </Triggers>
                <ContentTemplate>
                    <div class="PortfolioScope_Description">
                        <b>Portfolio Scope</b>
                        <p>
                            Use the create button to create a new Portfolio Scope. Select the Portfolio Scope
                    and use the appropriate button to Edit, Delete, Activate or Deactive the scope.
                        </p>
                        <br />
                        <div>
                            <asp:Button ID="btnCreate" runat="server" Text="Create" />
                            <asp:Button ID="btnEdit" runat="server" Text="Edit" OnClientClick="return checkSelect('edit');" />
                            <asp:Button ID="btnDelete" runat="server" Text="Delete" OnClientClick="return checkSelect('delete');" />
                            <asp:Button ID="btnActivate" runat="server" Text="Activate" OnClientClick="return checkSelect('activate');" />
                            <asp:Button ID="btnDeactivate" runat="server" Text="Deactivate" OnClientClick="return checkSelect('deactivate');" />
                        </div>
                    </div>
                    <div id="overlay">
                        <table id="PortfolioScopeGrid">
                        </table>
                    </div>
                    <asp:HiddenField ID="HiddenIDforEdit" runat="server" />
                    <asp:HiddenField ID="HiddenIDforDelete" runat="server" />
                    <asp:HiddenField ID="HiddenIDforDeactivate_Activate" runat="server" />
                </ContentTemplate>
            </asp:UpdatePanel>
            <script type="text/javascript">

                $(function (e) {

                    DataGrid();

                });//End $(Function())

                Sys.WebForms.PageRequestManager.getInstance().add_endRequest(EndRequestHandler);

                function EndRequestHandler(sender, args) {

                    DataGrid();

                    debugger;

                }; //end EndRequestHandler function

                //       
                var url = "http://igniteui.com/api/employees?callback=?";

                function DataGrid() {

                    $.ajax({

                        type: "GET",

                        url: "WebService.asmx/GetGridData",

                        contentType: "application/json; charset=utf-8",

                        dataType: "json",

                        error: function (xhr, ajaxOptions, thrownError) {

                            console.log("Error:");

                            console.log(thrownError);

                        },

                        beforeSend: function () {

                            $("#overlay").fadeIn();

                        },

                        success: function (msg) {

                            var data = $.parseJSON(msg.d);



                            if ($("#PortfolioScopeGrid").data("igGrid") === undefined) {



                                $("#PortfolioScopeGrid").igGrid({

                                    accessibilityRendering: true,

                                    //columns:
                                    //
                                    //[
                                    //
                                    ////  { headerText: "Select", unbound: "true"},
                                    //
                                    //    { headerText: "Scope Name", key: "Name", dataType: "string" },
                                    //
                                    //    { headerText: "Status", key: "Status", dataType: "string" },
                                    //
                                    //    { hidden: true, headerText: "ScopeID", key: "ScopeID", dataType: "string" }
                                    //
                                    //],

                                    width: "1300px",

                                    height: "300px",

                                    dataSource: data,

                                    dataSourceType: "json",

                                    //primaryKey: "ScopeID",

                                    features:

                                    [

                                        {

                                            name: "Paging",

                                            type: "local",

                                            pageSize: 10,

                                            pageCountLimit: 0,

                                            pageSizeDropDownLocation: "inpager",

                                            pageSizeList: [10, 25, 50, 75, 100, "All"],



                                            pageSizeChanging: function (evt, ui) {

                                                var dataSource = $("#PortfolioScopeGrid").data("igGrid").dataSource._data.length;

                                                $("#PortfolioScopeGrid").igGridPaging("option", "pageSize", dataSource);

                                            }

                                        },

                                        { name: "Sorting", type: "local", persist: false },

                                        { name: "Filtering", type: "local", filterDropDownItemIcons: false, filterDropDownWidth: 200 },

                                        { name: "Resizing", deferredResizing: false, allowDoubleClickToResize: true, handleThreshold: 14 },

                                        {

                                            name: "Selection",

                                            mode: "row"

                                        }



                                    ]



                                }); //End igGrid Function



                                var dataSource = $("#PortfolioScopeGrid").data("igGrid").dataSource._data.length;

                                $("#PortfolioScopeGrid").igGridPaging("option", "pageSize", dataSource);

                            }

                            else {

                                debugger;

                                $("#PortfolioScopeGrid").igGrid("dataSourceObject", datasource);

                                $("#PortfolioScopeGrid").igGrid("dataBind");



                                var dataSource = $("#PortfolioScopeGrid").data("igGrid").dataSource._data.length;

                                $("#PortfolioScopeGrid").igGridPaging("option", "pageSize", dataSource);

                            }





                        }, //end success

                        complete: function () {

                            //$("#overlay").fadeOut();

                        }

                    });    //end ajax function



                }; //end populategrid function




                function checkSelect(tstr) {



                    var row = $("#PortfolioScopeGrid").igGridSelection("selectedRow");



                    if (row != null) {

                        var dataID = row.element.attr("data-id");



                        if (tstr == "edit") {

                            document.getElementById('<%= HiddenIDforEdit.ClientID %>').value = dataID;

                        }

                        else if (tstr == "delete") {

                            document.getElementById('<%= HiddenIDforDelete.ClientID %>').value = dataID;

                }

                else if (tstr == "activate") {

                    document.getElementById('<%= HiddenIDforDeactivate_Activate.ClientID %>').value = dataID;

                }

                else if (tstr == "deactivate") {

                    document.getElementById('<%= HiddenIDforDeactivate_Activate.ClientID %>').value = dataID;

                }



    return confirm('Are you sure you want to ' + tstr + ' this scope?');

}

else {

    alert("Please select one item");

    return false;

}



    return false;

}



            </script>

        </div>
    </form>
</body>
</html>
